Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Common DOM API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.dom.html
Interface HTMLDOMImplementation

All Superinterfaces:
  DOMImplementation

    public interface HTMLDOMImplementation

extends DOMImplementation

The `HTMLDOMImplementation` interface extends the `DOMImplementation` interface with a method for creating an HTML document instance.

See also the Document Object Model (DOM) Level 2 Specification.

Since:
  DOM Level 2

Method Summary
`HTMLDocument` | `createHTMLDocument(String title)` Creates an `HTMLDocument` object with the minimal tree made of the following elements: `HTML` , `HEAD` , `TITLE` , and `BODY` .

Methods inherited from interface org.w3c.dom.DOMImplementation
`createDocument, createDocumentType, getFeature, hasFeature`

Method Detail

### createHTMLDocument

    HTMLDocument createHTMLDocument(String title)

  Creates an `HTMLDocument` object with the minimal tree made of the following elements: `HTML` , `HEAD` , `TITLE` , and `BODY` .

  Parameters:
    `title` - The title of the document to be set as the content of the `TITLE` element, through a child `Text` node.
  Returns:
    A new `HTMLDocument` object.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Common DOM API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 2004 Sun Microsystems, Inc. 4150 Network Circle
Santa Clara, California, 95054, U.S.A. All Rights Reserved.